MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001057XdebugFeature/Change requestpublic2014-06-24 10:072016-12-11 14:10
Reporterglen 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.5.1 
Summary0001057: xdebug.ini of all parameters
Descriptionhi

you probably know this blog post
http://gggeek.altervista.org/2007/11/26/the-completely-unofficial-xdebugini/ [^]

i have copy of it also in my linux distribution
https://github.com/pld-linux/php-pecl-xdebug/blob/master/xdebug.ini [^]

so, i wonder, how is this page produced:
http://xdebug.org/docs/all_settings [^]

i.e is it's source available somewhere in some format that can translate it to .ini file, as you seem to have suggested in that blog post (Note2)

if yes, then please share. i'm willing to write some parser
if no, can you make it available? so could do the parser or similar :)
TagsNo tags attached.
Operating System
PHP Version5.5.5-5.5.9
Attached Files

- Relationships

-  Notes
(0002863)
derick (administrator)
2014-07-09 10:38

The source contains such an ini file already:
https://github.com/derickr/xdebug/blob/master/xdebug.ini [^]

The source for the file is at https://github.com/derickr/xdebug.org/blob/master/html/docs/include/settings.php [^] and the script to convert is at https://github.com/derickr/xdebug.org/blob/master/html/docs/convert.php [^]
(0002865)
glen (reporter)
2014-07-09 11:26

ok, can i ask then the .ini to be included in pecl release tarball too?
(0002866)
glen (reporter)
2014-07-09 11:32

also, could you strip trailing spaces from the ini file? :)
(0003988)
derick (administrator)
2016-12-11 14:10

Fixed for Xdebug 2.5.1 and later.

- Issue History
Date Modified Username Field Change
2014-06-24 10:07 glen New Issue
2014-07-09 10:38 derick Note Added: 0002863
2014-07-09 10:38 derick Status new => resolved
2014-07-09 10:38 derick Resolution open => no change required
2014-07-09 10:38 derick Assigned To => derick
2014-07-09 11:26 glen Note Added: 0002865
2014-07-09 11:26 glen Status resolved => feedback
2014-07-09 11:26 glen Resolution no change required => reopened
2014-07-09 11:32 glen Note Added: 0002866
2014-07-09 11:32 glen Status feedback => assigned
2016-12-11 14:10 derick Note Added: 0003988
2016-12-11 14:10 derick Status assigned => closed
2016-12-11 14:10 derick Resolution reopened => fixed
2016-12-11 14:10 derick Fixed in Version => 2.5.1


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker